# Trusted Computing Paper Reading Hour

This file contains a protocol of all the papers we have read and discussed together as a group. We try to keep it at a two week schedule, but due to some unfortunate events we may move the dates a little bit around.

## Goal

The goal of this reading hour is to make us get better understanding of what we are reading. We try to review the paper as good as possible and discuss our different viewpoints on the paper in our group. We expect the outcome for us to get better at a) reading, b) understanding, c) reviewing, and d) discussions about a certain topic.

## Interests

Our interests are highly tied to our research fields. We are interested in the following topics:

* Cryptography
* Privacy Enhancing Technologies
* Web Technologies

| Date           | Author(s)                | Paper                          | Link (if available) |
| -------------- | ------------------------ | ------------------------------ | ------------------- |
| 6. Nov. 2017   | A. Keshav                | How to Read a Paper            |                     |
| 21. Nov. 2017  | D. Chaum                 | Group Signatures               |                     |
| 12. Dec. 2017  | W. Diffie, M. E. Hellman | New Directions in Cryptography | [PDF](https://www-ee.stanford.edu/~hellman/publications/24.pdf), [Citation](https://dl.acm.org/citation.cfm?id=2269104) |
| 16. Jan. 2018  | T. ElGamal               | A public key cryptosystem and a signature scheme based on discrete logarithms  | [PDF (IEEE)](http://ieeexplore.ieee.org/stamp/stamp.jsp?arnumber=1057074), [PDF](http://people.csail.mit.edu/alinush/6.857-spring-2015/papers/elgamal.pdf) [Citation](https://dl.acm.org/citation.cfm?id=19478.19480) |
| 8. Feb. 2018   | EJ. Goh                  | Secure Indexes | [PDF](https://eprint.iacr.org/2003/216.pdf) |
| 13. March 2018 | G. Zyskind, et. al.      | Decentralizing Privacy | [PDF](https://homepage.cs.uiowa.edu/~ghosh/blockchain.pdf) |



## How does this class work?
This is an open session in our working group. Everyone is invited but it is not mandatory to come. We understand, that everyone has his daily work to do and that we cannot have everyone participating each time.
We keep this sessions as open as possible. We don't follow a fixed schedule on what we want to discuss. This usually leads to very good discussions about the content of the paper. At least this was our experience.

### Preparation Phase

Prior to each session, we have the group proposing papers from which they find interesting to read. We then randomly pick one that is going to be read by the group until the next meeting.

### The Session
At the beginning of the session, the person who proposed the paper gives a short presentation about the content of the paper. This should give the others a quick overview about the paper (which they have read anyway). We think, that this presentation can already solve some open questions. Furthermore, it is a good exercise to sum up the paper for the presenter.

After the initial presentation we try to ask questions. The questions are not directed to the presenter, but to the group. Of course we expect the presenter to be the person being able to answer the questions, but this is not neccessary. The questions should be focused on the topic of the paper. We think it is best for the preparation to prepare some questions in advance. If anything is unclear for you, you should ask. There are no stupid questions!

Our last point is a discussion on the writing style of the paper. We try to identify strength in the writing, e.g. parts we liked, were easy to understand, etc. and parts which were hard to understand. Whenever we find a part that is hard to understand, it is the task of that person to also suggest, how he thinks this part could be rewritten to make it better understandable.

We hope that you can find some interesting information on this page. If you have any comments, please feel free to contact us here on GitHub.

A
### Todos
